View a markdown version of this page

ListThreatModelJobs - AWS Security Agent

ListThreatModelJobs

Returns a paginated list of threat model job summaries for the specified threat model.

Request Syntax

POST /ListThreatModelJobs HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "maxResults": number, "nextToken": "string", "threatModelId": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space.

Type: String

Required: Yes

maxResults

The maximum number of results to return in a single call.

Type: Integer

Required: No

nextToken

A token to use for paginating results that are returned in the response.

Type: String

Required: No

threatModelId

The unique identifier of the threat model to list jobs for.

Type: String

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "nextToken": "string", "threatModelJobSummaries": [ { "agentSpaceId": "string", "createdAt": "string", "status": "string", "threatModelId": "string", "threatModelJobId": "string", "title": "string", "updatedAt": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

nextToken

A token to use for paginating results that are returned in the response.

Type: String

threatModelJobSummaries

The list of threat model job summaries.

Type: Array of ThreatModelJobSummary objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: